Bug 90748 - /etc/yp.conf should be marked as %config(noreplace)
Summary: /etc/yp.conf should be marked as %config(noreplace)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: ypbind   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-13 11:27 UTC by Enrico Scholz
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version: 1.12-1.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 19:23:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2003-05-13 11:27:17 UTC
Description of problem:

/etc/yp.conf is an important system-configuration file and should not be
overridden in updates.

Currently it is marked as %config only which renames the old file to
yp.conf.rpmsave and uses the shipped one. This breaks existing NIS and the file 
should be marked as

| %config(noreplace) %{_sysconfdir)/yp.conf



Version-Release number of selected component (if applicable):

ypbind-1.12-0


How reproducible:

100%


Steps to Reproduce:
1. setup NIS with ypbind < 1.12
2. update to ypbind-1.12

    
Actual results:

configuration in /etc/yp.conf is lost; NIS is not working anymore


Expected results:

NIS is still working

Comment 1 Bill Nottingham 2003-05-21 19:23:15 UTC
This is fixed in 1.12-1.10.


Note You need to log in before you can comment on or make changes to this bug.